Subject: bug#12911: 24.3.50; let users decide where (& perhaps whether) `emacs_backtrace.txt' files are written

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Nov 2012 20:37:15 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Daniel Colascione <[email-masked]>, [email-masked]
> Date: Tue, 20 Nov 2012 13:30:52 -0500
> 
> > Accessing environment variables is another problematic place.  We are
> > crashing, so the heap or the whole arena can be trashed.  Who can be
> > sure the environment variables will not point to garbled places?
> 
> Just to put things in perspective: this backtrace "feature" was put in
> to replace/supplement the previous assertion failure output (because
> with asserts now being inside inlinable functions, the line&file info
> we get is not the one we want any more).  So the environment is usually
> still pretty sane, because assertions are usually caught fairly early.

If the backtrace is created due to assertion violation, yes.  But it
is also invoked for all the other fatal signals.